[Swift-commit] r3700 - trunk/tests

noreply at svn.ci.uchicago.edu noreply at svn.ci.uchicago.edu
Wed Oct 27 13:24:01 CDT 2010


Author: wozniak
Date: 2010-10-27 13:24:01 -0500 (Wed, 27 Oct 2010)
New Revision: 3700

Modified:
   trunk/tests/nightly.sh
Log:
Check for errors with ifconfig


Modified: trunk/tests/nightly.sh
===================================================================
--- trunk/tests/nightly.sh	2010-10-26 22:04:30 UTC (rev 3699)
+++ trunk/tests/nightly.sh	2010-10-27 18:24:01 UTC (rev 3700)
@@ -760,8 +760,15 @@
   out package "swift-$DATE.tar.gz"
 }
 
-GLOBUS_HOSTNAME=$( ifconfig | grep inet | head -1 | cut -d ':' -f 2 | \
+if which ifconfig > /dev/null; then
+  IFCONFIG=ifconfig
+else
+  IFCONFIG=/sbin/ifconfig
+fi
+$IFCONFIG > /dev/null || crash "Cannot run ifconfig!"
+GLOBUS_HOSTNAME=$( $IFCONFIG | grep inet | head -1 | cut -d ':' -f 2 | \
                    awk '{print $1}' )
+[ $? != 0 ] && crash "Could not obtain GLOBUS_HOSTNAME!"
 group_sites_xml() {
   TEMPLATE=$GROUP/sites.template.xml
   if [ -f $TEMPLATE ]; then




More information about the Swift-commit mailing list